com.mysql.cj

## Interface CacheAdapterFactory<K,V>

All Known Implementing Classes:
  PerConnectionLRUFactory, PerVmServerConfigCacheFactory

    public interface CacheAdapterFactory<K,V>

### Method Summary

All Methods Instance Methods Abstract Methods
`CacheAdapter<K,V>` `getInstance(Lock lock, String url, int cacheMaxSize, int maxKeySize)`

### Method Detail

#### getInstance

    CacheAdapter<K,V> getInstance(Lock lock,
                                  String url,
                                  int cacheMaxSize,
                                  int maxKeySize)

Copyright © 2016, 2024, Oracle and/or its affiliates.